Upstream information

CVE-2017-14450 at MITRE

Description

A buffer overflow vulnerability exists in the GIF image parsing functionality of SDL2_image-2.0.2. A specially crafted GIF image can lead to a buffer overflow on a global section. An attacker can display an image to trigger this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 5.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact Low Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1084256 [RESOLVED / FIXED], 1084288 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • SDL_image >= 1.2.6-84.42.1
  • SDL_image-devel >= 1.2.6-84.42.1
Patchnames:
sdksp4-SDL_image-13859
openSUSE Leap 15.2
  • libSDL2_image-2_0-0 >= 2.0.5-lp152.1.6
Patchnames:
openSUSE Leap 15.2 GA libSDL2_image-2_0-0-2.0.5-lp152.1.2
openSUSE Tumbleweed
  • libSDL2_image-2_0-0 >= 2.0.5-1.14
  • libSDL2_image-2_0-0-32bit >= 2.0.5-1.14
  • libSDL2_image-devel >= 2.0.5-1.14
  • libSDL2_image-devel-32bit >= 2.0.5-1.14
Patchnames:
openSUSE Tumbleweed GA libSDL2_image-2_0-0-2.0.5-1.14


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP4 SDL_image Released
SUSE Linux Enterprise Server 11 SP4 SDL_image Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 SDL_image Released
SUSE Linux Enterprise Software Development Kit 11 SP4 SDL_image Released


SUSE Timeline for this CVE

CVE page created: Tue Mar 6 15:53:03 2018
CVE page last modified: Tue Nov 29 14:10:08 2022